
//####################################################
//Beschreibung: setzte Sichtbarkeit eines Elementes um
//Datum: 06.03.2011
//####################################################
function sichtbarkeit(obj_id) {
  var sichtbarkeit;

  sichtbarkeit = document.getElementById(obj_id).style.visibility;
  
  //alert(sichtbarkeit);
  if (sichtbarkeit != "visible") {
    //Damit das Objekt keinen Platz einnimmt
    document.getElementById(obj_id).style.display = "block";
    //setzt die Sichtbarkeit
    document.getElementById(obj_id).style.visibility = "visible";
  } else {
      document.getElementById(obj_id).style.display = "none";
      document.getElementById(obj_id).style.visibility = "hidden";
    };

}

//####################################################
//Beschreibung: Validiere Fehler der Aktivitt
//Datum: 06.03.2011
//####################################################
function validateActivity() {
  
  var error_message = loadErrorActivity();
  var error = new Array();


  //fehler_reset(error_message);
  fehler_reset();

  fieldname = "titel";
  field = document.getElementById(fieldname);
  if(field.value == "") {
    error.push(error_message[fieldname]);
    setError(fieldname, error_message[fieldname]);
  }
  
  fieldname = "datum";
  field = document.getElementById(fieldname);
  if(field.value == "") {
    error.push(error_message[fieldname]);
    setError(fieldname, error_message[fieldname]);
  } else {
      var aktuell = new Date();
      var jahr = aktuell.getFullYear();
      var monat = aktuell.getMonth()+1;
      var tag = aktuell.getDate();
      // Vergleichsdatum zum heutigen Tag um 0 Uhr
      var heute = new Date(jahr, monat, tag, 0, 0, 0);
     
      var datum=field.value.split("-");
      var eingabe = new Date(datum[0], datum[1], datum[2], 0, 0, 0);

      if (Date.parse(heute) > Date.parse(eingabe)) {
        error.push(error_message[fieldname]);
        setError(fieldname, error_message[fieldname]);
      }
  }

  fieldname = "uhrzeit";
  field = document.getElementById(fieldname);
  if(field.value == "") {
    error.push(error_message[fieldname]);
    setError(fieldname, error_message[fieldname]);
  }
  
  //prfe die 10 text1 bis text10 Eingabefelder auf Inhalt
  for(var i=1; i<11; i++) {

    fieldname = "text"+i;
    field = document.getElementById(fieldname);
    if((field != null) && (field.value == "")) {
      error.push(error_message[fieldname]);
      setError(fieldname, error_message[fieldname]);
    }        
    
  }

  fieldname = "name";
  field = document.getElementById(fieldname);
  if(field.value == "") {
    error.push(error_message[fieldname]);
    setError(fieldname, error_message[fieldname]);
  }

  fieldname = "email";
  field = document.getElementById(fieldname);
  if((field.value!= "") && (!validate_email(field.value))) {
    error.push(error_message[fieldname]);
    setError(fieldname, error_message[fieldname]);
  }

  fieldname = "checkFieldSportactivity";
  field = document.getElementById(fieldname);
  if(field.value != "") {
    error.push(error_message[fieldname]);
    setError(fieldname, error_message[fieldname]);
  }
    
  if(error.length > 0) {
    fehlerausgabe(error);
  } 
  else {
    //alert("submit");
    document.forms["sportactivity"].submit();
  }

}

function eingabe_zeit(key) {

  if( (key < 48 || key > 58) && key != 8 && key != 46 && key != 37 && key != 39 && key != 190 && key != 9  && (key < 96 || key > 105)) 
    return false;
   else  return true; 

}		


function validate_zeit(eingabe) {
	var ZeitFeld = eingabe.value;
	if( ZeitFeld == "" ) return true;
	var Zeit = ZeitFeld.split( ":" );
  var stunden = false;
	var minuten = false;
	
  if( Zeit.length == 2 ){
    // Stunden zwischen 0 und 23	
  	if( Number( Zeit[0] ) >= 0 & Number( Zeit[0] ) <= 23 & Zeit[0].length >= 1){
  		stunden = true;
  	}
  	if( Number( Zeit[1] ) >= 0 & Number( Zeit[1] ) <= 59 & Zeit[1].length == 2){
  		minuten = true;
  	}
	}
  
  if( stunden == true & minuten == true )
  	return true;
	else {
  	alert("Bitte korrekte Uhrzeit im Format HH:MM eingeben.");
  	eingabe.value="";
		return false;
  }
		
}


//####################################################
//Beschreibung: Validierung des Teilnehmerformulares
//Datum: 06.03.2011
//####################################################
function validateTeilnehmer(id) {
  
  var error = new Array();
  
  var error_message = loadErrorTeilnehmer(id);    
  
  fehler_reset();

   
  fieldname = "name"+id;
  field = document.getElementById(fieldname);
  if(field.value == "") {
    error.push(error_message[fieldname]);
    setError(fieldname, error_message[fieldname]);
  }

  fieldname = "email"+id;
  field = document.getElementById(fieldname);
  if((field.value!= "") && (!validate_email(field.value))) {
    error.push(error_message[fieldname]);
    setError(fieldname, error_message[fieldname]);
  }

  fieldname = "checkFieldMember";
  field = document.getElementById(fieldname);
  if(field.value != "") {
    error.push(error_message[fieldname]);
    setError(fieldname, error_message[fieldname]);
  }
        
  if(error.length > 0) {
    fehlerausgabe(error);
  } 
  else {
    //alert("submit");
    document.forms["sportteilnehmer"+id].submit();
  }

}



//----------------------------------------------------
//####################################################
//Hilfsfunktionen
//####################################################
//----------------------------------------------------

//####################################################
//Beschreibung: Setzte das Fehlerfeld in der Maske (zeige es an, flle es mit Inhalt)
//Datum: 06.03.2011
//####################################################
function setError(obj_id, message) {
  document.getElementById("error_"+obj_id).style.display = "block";
  document.getElementById("error_"+obj_id).style.visibility = "visible";
  document.getElementById("error_"+obj_id).innerHTML = message;
}

//####################################################
//Beschreibung: Setzte Fehlerfelder zurck
//Datum: 06.03.2011
//####################################################
function fehler_reset() {
/*alert(error.length);
  //Funktioniert nicht, da arraymethoden mit ausgegeben werden!!!
  for (var obj_id in error) {
  alert(obj_id + error[obj_id]);
    document.getElementById("error_"+key).style.display = "none";
    document.getElementById("error_"+key).style.visibility = "hidden";
    document.getElementById("error_"+key).innerHTML = "";    
  }*/
  var errorSpan;
  var alleSpan = new Array();
  

  var alleSpan = document.getElementsByTagName("span");

  for (var i=0; i< alleSpan.length; i++) {
    var errorSpan = alleSpan[i].id.indexOf("error_");
    if (errorSpan != -1) {
      alleSpan[i].style.display = "none";
      alleSpan[i].style.visibility = "hidden";
      alleSpan[i].innerHTML = "";          
    }     
  }  
  
}


//####################################################
//Beschreibung: gebe Fehlermeldungen aus.
//Datum: 06.03.2011
//####################################################
function fehlerausgabe(error) {
  var fehler = "";
  for(var i=0; i<error.length; i++) {
    //ersetzte  fr korrekte Anzeige
    error[i] = unescape(error[i].replace("&uuml;", "%FC"));
    fehler += "\n" + error[i];
  }
  alert(fehler);  
}

//####################################################
//Beschreibung: Validiere Email
//http://www.white-hat-web-design.co.uk/articles/js-validation.php
//Datum: 06.03.2011
//####################################################
function validate_email(email) {
   var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;
   if(reg.test(email) == false) {
      return false;
   } else return true;
}

//####################################################
//Beschreibung: Validiere Inhalt
//http://www.white-hat-web-design.co.uk/articles/js-validation.php
//Datum: 28.06.2012
//####################################################
function validate_comment(kommentarfeld, submit) {


  var error = new Array();
    
  fehler_reset();
  var error_message = loadErrorComment(kommentarfeld);    
  
  text = document.getElementById(kommentarfeld).value;
  fieldname = kommentarfeld;
  if(text == null || text=="") {
    error.push(error_message[fieldname]);
    setError(fieldname, error_message[fieldname]);
   } 
   
  fieldname = "checkFieldComment";
  field = document.getElementById(fieldname);
  if(field.value != "") {
    error.push(error_message[fieldname]);
    setError(fieldname, error_message[fieldname]);
  }
     
  if(error.length > 0) {
    fehlerausgabe(error);
  } 
  else {
    //alert("submit");
    document.forms[submit].submit();
  }   
}
