<?php
/**
 * Hello Model for Hello World Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_(MVC)_Component_for_Joomla!2.5_-_Part_07
 * @license		GNU/GPL
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import the Joomla modellist library
jimport('joomla.application.component.modellist');

/**
 * Hello Hello Model
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class sportactivitiesModelsportteilnehmers extends JModelList
{
	/**
	 * Method to build an SQL query to load the list data.
	 *
	 * @return	string	An SQL query
	 */
	protected function getListQuery()
	{
    $mainframe =& JFactory::getApplication();
    $sportid = $mainframe->getUserState( "com_sportactivities.sport_id", '0' );
	
		// Create a new query object.		
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		// Select all fields
		$query->select('*');
		// From the sport_teilnehmer table
		$query->from('#__sport_teilnehmer');
		// Add where
		$query->where('sport_id = '.(int) $sportid);
    // Add the list ordering clause.
    //$query->order($db->getEscaped($this->getState('list.ordering', 'timestamp')) . ' ' . $db->getEscaped($this->getState('list.direction', 'ASC')));		
    $query->order($db->quoteName('timestamp') . ' ASC');		
		return $query;
	}		

}